Package org.jboss.resteasy.plugins.server.netty

## Class RequestHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler
      - - org.jboss.resteasy.plugins.server.netty.RequestHandler

- All Implemented Interfaces:
    `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

      @Sharable
      public class RequestHandler
      extends io.netty.channel.SimpleChannelInboundHandler

  `SimpleChannelInboundHandler` which handles the requests and dispatch them. This class is `ChannelHandler.Sharable`.
  Version:
    $Rev: 2368 $, $Date: 2010-10-18 17:19:03 +0900 (Mon, 18 Oct 2010) $
  Author:
    The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee, Norman Maurer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected RequestDispatcher` | `dispatcher` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestHandler​(RequestDispatcher dispatcher)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `channelRead0​(io.netty.channel.ChannelHandlerContext ctx, Object msg)` |
    `void` | `exceptionCaught​(io.netty.channel.ChannelHandlerContext ctx, Throwable e)` |
    `void` | `userEventTriggered​(io.netty.channel.ChannelHandlerContext ctx, Object evt)` |

    - ### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Field Detail

    - #### dispatcher

          protected final RequestDispatcher dispatcher

  - ### Constructor Detail

    - #### RequestHandler

          public RequestHandler​(RequestDispatcher dispatcher)

  - ### Method Detail

    - #### channelRead0

          protected void channelRead0​(io.netty.channel.ChannelHandlerContext ctx,
                                      Object msg)
                               throws Exception

      Specified by:
        `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler`
      Throws:
        `Exception`

    - #### exceptionCaught

          public void exceptionCaught​(io.netty.channel.ChannelHandlerContext ctx,
                                      Throwable e)
                               throws Exception

      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `Exception`

    - #### userEventTriggered

          public void userEventTriggered​(io.netty.channel.ChannelHandlerContext ctx,
                                         Object evt)
                                  throws Exception

      Specified by:
        `userEventTriggered` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `userEventTriggered` in class `io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `Exception`